﻿package  
{
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.text.TextField;
	import flash.text.TextFormat;
	
	/**
	 * ...
	 * @author yves trublin
	 */
	public class Description extends Sprite
	{
		private var texte:TextField;
		private var tf:TextFormat;
		
		public function Description() 
		{			
			if (stage) init();
			else addEventListener(Event.ADDED_TO_STAGE, init, false, 0, true);
		}
		
		private function init(e:Event = null):void 
		{
			removeEventListener(Event.ADDED_TO_STAGE, init);
			
			// textFormat
			tf = new TextFormat();
			tf.font = root["xml"].@["police"];
			tf.size = root["xml"].@["tailleTexte"];
			tf.color = root["xml"].@["couleurTexte"];
			tf.align = root["xml"].@["alignementTexte"];

			// texte
			texte = new TextField();
			texte.wordWrap = true;
			texte.multiline = true;
			
			texte.width = stage.stageWidth;
			texte.height = root["xml"].@["hauteurZoneOver"];
			addChild(texte);
			
			afficherDescription(0);
		}
		
		public function afficherDescription(c:int):void {
			texte.htmlText = root["xml"].Photo[c].Description;
			texte.setTextFormat(tf);			
		}
	}
}