﻿package  
{
	import com.flashdynamix.motion.TweensyZeroMinified;
	import flash.display.Shape;
	import flash.events.Event;
	
	/**
	 * ...
	 * @author Yves Trublin
	 */
	public class TraitLoading extends Shape
	{
		public function TraitLoading() 
		{
			if (stage) init();
			else addEventListener(Event.ADDED_TO_STAGE, init, false, 0, true);
		}
		
		private function init(e:Event = null):void 
		{
			removeEventListener(Event.ADDED_TO_STAGE, init);
			
			graphics.beginFill(root["xml"].@["couleurTraitChargement"], root["xml"].@["alphaTraitChargement"]);
			graphics.drawRect(0, 0, stage.stageWidth, root["xml"].@["hauteurTraitChargement"]);
			graphics.endFill();
			scaleX = 0;
		}
		
		public function miseAJourTraitLoading(r:Number):void
		{
			TweensyZeroMinified.to(this, {scaleX: r});
		}
		public function cacherTraitLoading():void
		{
			TweensyZeroMinified.to(this, { scaleX:0 }, .5, null, null, detruireTraitLoading);
		}
		
		private function detruireTraitLoading():void
		{
			graphics.clear();
			parent.removeChild(this);
		}
	}
	
}